//
//  VCDataReceiver+Private.h
//  Vacuum
//
//  Created by Lukáš Foldýna on 26.02.14.
//  Copyright (c) 2014 Arat. All rights reserved.
//

#import "VCDataReceiver.h"
#import "VCDataReceiverDownloader.h"


@interface VCDataReceiver ()

- (void) _askForApprovalWithDownloader:(VCDataReceiverDownloader *)downloader;
- (void) _cancelCurrentAksForApprovalWithDownloader:(VCDataReceiverDownloader *)downloader;

- (void) _finishDownloader:(VCDataReceiverDownloader *)downloader;

- (void) _delegateWillReceiveFiles:(NSArray *)receivedFiles;
- (void) _delegateDidStartReceivingFile:(id<VCTransferableItem>)transferableItem;
- (void) _delegateDidReceivePartOfFile:(id<VCTransferableItem>)transferableItem currentLength:(unsigned long long)currentLength;
- (void) _delegateDidFinishReceivingFile:(id<VCTransferableItem>)transferableItem;
- (void) _delegateDidReceiveAllFiles:(NSArray *)receivedFiles;
- (void) _delegateDidFailWithError:(NSError *)error;

@end


@interface VCTransferableItem (Private)

- (void) setBeingDownloaded:(BOOL)downloaded;

@end
